Loading...
Searching...
No Matches
Sip_suppress_body_if_match

## Data Structures

struct | sip_suppress_body_if_match_s
| Structure for Suppress-Body-If-Match header. More...

## Macros

#define | sip_suppress_body_if_match(sip)
| Access a SIP Suppress-Body-If-Match header structure sip_suppress_body_if_match_t from sip_t.
#define | SIP_SUPPRESS_BODY_IF_MATCH_INIT()
| Initializer for structure sip_suppress_body_if_match_t.
#define | SIPTAG_SUPPRESS_BODY_IF_MATCH(x)
| Tag list item for pointer to a Suppress-Body-If-Match header structure sip_suppress_body_if_match_t.
#define | SIPTAG_SUPPRESS_BODY_IF_MATCH_REF(x)
| Tag list item for reference to a Suppress-Body-If-Match header pointer.
#define | SIPTAG_SUPPRESS_BODY_IF_MATCH_STR(s)
| Tag list item for string with Suppress-Body-If-Match header value.
#define | SIPTAG_SUPPRESS_BODY_IF_MATCH_STR_REF(x)
| Tag list item for reference to a Suppress-Body-If-Match header string.

## Typedefs

typedef struct sip_suppress_body_if_match_s | sip_suppress_body_if_match_t
| @

## Functions

issize_t | sip_suppress_body_if_match_d (su_home_t *, msg_header_t *, char *s, isize_t slen)
| Parse a SIP Suppress-Body-If-Match header.
issize_t | sip_suppress_body_if_match_e (char b[], isize_t bsiz, msg_header_t const *h, int flags)
| Print a SIP Suppress-Body-If-Match header.
sip_suppress_body_if_match_t * | sip_suppress_body_if_match_init (sip_suppress_body_if_match_t x[1])
| Initialize a structure sip_suppress_body_if_match_t.
int | sip_is_suppress_body_if_match (sip_header_t const *header)
| Test if header object is instance of sip_suppress_body_if_match_t.
sip_suppress_body_if_match_t * | sip_suppress_body_if_match_dup (su_home_t *home, sip_suppress_body_if_match_t const *hdr))
| Duplicate a list of Suppress-Body-If-Match header header structures sip_suppress_body_if_match_t.
sip_suppress_body_if_match_t * | sip_suppress_body_if_match_copy (su_home_t *home, sip_suppress_body_if_match_t const *hdr))
| Copy a list of Suppress-Body-If-Match header header structures sip_suppress_body_if_match_t.
sip_suppress_body_if_match_t * | sip_suppress_body_if_match_make (su_home_t *home, char const *s))
| Make a Suppress-Body-If-Match header structure sip_suppress_body_if_match_t.
sip_suppress_body_if_match_t * | sip_suppress_body_if_match_format (su_home_t *home, char const *fmt,...)))
| Make a Suppress-Body-If-Match header from formatting result.

## Variables

msg_hclass_t | sip_suppress_body_if_match_class []
| Header class for Suppress-Body-If-Match header.
tag_typedef_t | siptag_suppress_body_if_match
| Tag for Suppress-Body-If-Match header object.
tag_typedef_t | siptag_suppress_body_if_match_str
| Tag for string with Suppress-Body-If-Match header value.

## Detailed Description

## Macro Definition Documentation

## sip_suppress_body_if_match

#define sip_suppress_body_if_match | ( |  | sip | ) |

Access a SIP Suppress-Body-If-Match header structure sip_suppress_body_if_match_t from sip_t.

Since
  New in
  Experimental in 1.12.5, available if –enable-experimental configuration option is given.

## SIP_SUPPRESS_BODY_IF_MATCH_INIT

#define SIP_SUPPRESS_BODY_IF_MATCH_INIT | ( |  | ) |

Initializer for structure sip_suppress_body_if_match_t.

A static sip_suppress_body_if_match_t structure for Suppress-Body-If-Match header must be initialized with the SIP_SUPPRESS_BODY_IF_MATCH_INIT() macro. For instance,

sip_suppress_body_if_match_t sip_suppress_body_if_match = SIP_SUPPRESS_BODY_IF_MATCH_INIT;
SIP_SUPPRESS_BODY_IF_MATCH_INIT
#define SIP_SUPPRESS_BODY_IF_MATCH_INIT()
Initializer for structure sip_suppress_body_if_match_t.
Definition sip_extra.h:2303
sip_suppress_body_if_match_t
struct sip_suppress_body_if_match_s sip_suppress_body_if_match_t
@
Definition sip_extra.h:89
sip_suppress_body_if_match
#define sip_suppress_body_if_match(sip)
Access a SIP Suppress-Body-If-Match header structure sip_suppress_body_if_match_t from sip_t.
Definition sip_extra.h:2285

Since
  New in
  Experimental in 1.12.5, available if –enable-experimental configuration option is given.

## SIPTAG_SUPPRESS_BODY_IF_MATCH

#define SIPTAG_SUPPRESS_BODY_IF_MATCH | ( |  | x | ) |

Tag list item for pointer to a Suppress-Body-If-Match header structure sip_suppress_body_if_match_t.

The SIPTAG_SUPPRESS_BODY_IF_MATCH() macro is used to include a tag item with a pointer to a sip_suppress_body_if_match_t structure in a tag list.

Parameters

  x | pointer to a sip_suppress_body_if_match_t structure, or NULL.

The corresponding tag taking reference parameter is SIPTAG_SUPPRESS_BODY_IF_MATCH_REF().

Since
  New in
  Experimental in 1.12.5, available if –enable-experimental configuration option is given.

## SIPTAG_SUPPRESS_BODY_IF_MATCH_STR

#define SIPTAG_SUPPRESS_BODY_IF_MATCH_STR | ( |  | s | ) |

Tag list item for string with Suppress-Body-If-Match header value.

The SIPTAG_SUPPRESS_BODY_IF_MATCH_STR() macro is used to include a tag item with a string containing value of a sip_suppress_body_if_match_t header in a tag list.

Parameters

  s | pointer to a string containing Suppress-Body-If-Match header value, or NULL.

The string in SIPTAG_SUPPRESS_BODY_IF_MATCH_STR() can be converted to a sip_suppress_body_if_match_t header structure by giving the string s has second argument to function sip_suppress_body_if_match_make().

The corresponding tag taking reference parameter is SIPTAG_SUPPRESS_BODY_IF_MATCH_STR_REF().

Since
  New in
  Experimental in 1.12.5, available if –enable-experimental configuration option is given.

## Typedef Documentation

## sip_suppress_body_if_match_t

typedef struct sip_suppress_body_if_match_s sip_suppress_body_if_match_t

@

The Suppress-Body-If-Match header field identifies a SIP event content already known by the watcher. Its syntax is defined in draft-niemi-sip-subnot-etags-01 as follows:

Suppress-Body-If-Match = "Suppress-Body-If-Match" HCOLON entity-tag
entity-tag = token

The parsed Suppress-Body-If-Match header is stored in sip_suppress_body_if_match_t structure.

See also
  RFC 3265, draft-niemi-sip-subnot-etags-01.txt

Since
  Experimental in 1.12.5, available if –enable-experimental configuration option is given. In order to use Suppress-Body-If-Match header, initialize the SIP parser with, e.g., sip_update_default_mclass(sip_extend_mclass(NULL)).

Note
  The sip_t structure does not contain a sip_suppress_body_if_match field, but sip_suppress_body_if_match() function should be used for accessing the Suppress-Body-If-Match header structure.

The structure sip_suppress_body_if_match_t contains representation of a SIP Suppress-Body-If-Match header.

The sip_suppress_body_if_match_t is defined as follows:

typedef struct sip_suppress_body_if_match_s
{
sip_common_t sbim_common[1]; // Common fragment info
sip_error_t *sbim_next; // Dummy link to next header
char const *sbim_tag; // entity-tag
} sip_suppress_body_if_match_t;
sip_error_t
msg_error_t sip_error_t
@
Definition sip.h:134
sip_common_t
msg_common_t sip_common_t
Common part of all the header structures.
Definition sip.h:121
sip_suppress_body_if_match_s
Structure for Suppress-Body-If-Match header.
Definition sip_extra.h:95
sip_suppress_body_if_match_s::sbim_common
sip_common_t sbim_common[1]
Common fragment info.
Definition sip_extra.h:96
sip_suppress_body_if_match_s::sbim_tag
char const * sbim_tag
Entity-tag.
Definition sip_extra.h:98
sip_suppress_body_if_match_s::sbim_next
sip_error_t * sbim_next
Dummy link to next header.
Definition sip_extra.h:97

## Function Documentation

## sip_is_suppress_body_if_match()

int sip_is_suppress_body_if_match | ( | sip_header_t const * | header | ) |

inline

Test if header object is instance of sip_suppress_body_if_match_t.

Check if the header class is an instance of Suppress-Body-If-Match header object and return true (nonzero), otherwise return false (zero).

Parameters

  header | pointer to the header structure to be tested

Return values

  1 | (true) if the header is an instance of header suppress_body_if_match
  0 | (false) otherwise

Since
  New in
  Experimental in 1.12.5, available if –enable-experimental configuration option is given.

## sip_suppress_body_if_match_copy()

sip_suppress_body_if_match_t * sip_suppress_body_if_match_copy | ( | su_home_t * | home,
|  | sip_suppress_body_if_match_t const * | hdr )

inline

Copy a list of Suppress-Body-If-Match header header structures sip_suppress_body_if_match_t.

The function sip_suppress_body_if_match_copy() copies a header structure hdr. If the header structure hdr contains a reference (`hdr->h_next`) to a list of headers, all the headers in that list are copied, too. The function uses given memory home to allocate all the memory areas used to copy the list of header structure hdr.

Parameters

  home | memory home used to allocate new structure
  hdr | pointer to the header structure to be copied

When copying, only the header structure and parameter lists attached to it are duplicated. The new header structure retains all the references to the strings within the old hdr header, including the encoding of the old header, if present.

Example
  suppress_body_if_match = sip_suppress_body_if_match_copy(home, sip->sip_suppress_body_if_match);
  sip_suppress_body_if_match_copy
  sip_suppress_body_if_match_t * sip_suppress_body_if_match_copy(su_home_t *home, sip_suppress_body_if_match_t const *hdr))
  Copy a list of Suppress-Body-If-Match header header structures sip_suppress_body_if_match_t.
  Definition sip_extra.h:2437

Returns
  A pointer to newly copied header structure, or NULL upon an error.

Since
  New in
  Experimental in 1.12.5, available if –enable-experimental configuration option is given.

## sip_suppress_body_if_match_dup()

sip_suppress_body_if_match_t * sip_suppress_body_if_match_dup | ( | su_home_t * | home,
|  | sip_suppress_body_if_match_t const * | hdr )

inline

Duplicate a list of Suppress-Body-If-Match header header structures sip_suppress_body_if_match_t.

Duplicate a header structure hdr. If the header structure hdr contains a reference (`hdr->x_next`) to a list of headers, all the headers in the list are duplicated, too.

Parameters

  home | memory home used to allocate new structure
  hdr | header structure to be duplicated

When duplicating, all parameter lists and non-constant strings attached to the header are copied, too. The function uses given memory home to allocate all the memory areas used to copy the header.

Example
  suppress_body_if_match = sip_suppress_body_if_match_dup(home, sip->sip_suppress_body_if_match);
  sip_suppress_body_if_match_dup
  sip_suppress_body_if_match_t * sip_suppress_body_if_match_dup(su_home_t *home, sip_suppress_body_if_match_t const *hdr))
  Duplicate a list of Suppress-Body-If-Match header header structures sip_suppress_body_if_match_t.
  Definition sip_extra.h:2393

Returns
  A pointer to the newly duplicated sip_suppress_body_if_match_t header structure, or NULL upon an error.

Since
  New in
  Experimental in 1.12.5, available if –enable-experimental configuration option is given.

## sip_suppress_body_if_match_format()

sip_suppress_body_if_match_t * sip_suppress_body_if_match_format | ( | su_home_t * | home,
|  | char const * | fmt,
|  |  | ... )

inline

Make a Suppress-Body-If-Match header from formatting result.

Make a new sip_suppress_body_if_match_t object using formatting result as its value. The function first prints the arguments according to the format fmt specified. Then it allocates a new header structure, and parses the formatting result to the structure sip_suppress_body_if_match_t.

Parameters

  home | memory home used to allocate new header structure.
  fmt | string used as a printf()-style format
  ... | argument list for format

Returns
  A pointer to newly makes header structure, or NULL upon an error.

Since
  New in
  Experimental in 1.12.5, available if –enable-experimental configuration option is given.

## sip_suppress_body_if_match_init()

sip_suppress_body_if_match_t * sip_suppress_body_if_match_init | ( | sip_suppress_body_if_match_t | x[1] | ) |

inline

Initialize a structure sip_suppress_body_if_match_t.

An sip_suppress_body_if_match_t structure for Suppress-Body-If-Match header can be initialized with the sip_suppress_body_if_match_init() function/macro. For instance,

sip_suppress_body_if_match_t sip_suppress_body_if_match;
sip_suppress_body_if_match_init(&sip_suppress_body_if_match);
sip_suppress_body_if_match_init
sip_suppress_body_if_match_t * sip_suppress_body_if_match_init(sip_suppress_body_if_match_t x[1])
Initialize a structure sip_suppress_body_if_match_t.
Definition sip_extra.h:2322

Since
  New in
  Experimental in 1.12.5, available if –enable-experimental configuration option is given.

## sip_suppress_body_if_match_make()

sip_suppress_body_if_match_t * sip_suppress_body_if_match_make | ( | su_home_t * | home,
|  | char const * | s )

inline

Make a Suppress-Body-If-Match header structure sip_suppress_body_if_match_t.

The function sip_suppress_body_if_match_make() makes a new sip_suppress_body_if_match_t header structure. It allocates a new header structure, and decodes the string s as the value of the structure.

Parameters

  home | memory home used to allocate new header structure.
  s | string to be decoded as value of the new header structure

Returns
  A pointer to newly maked sip_suppress_body_if_match_t header structure, or NULL upon an error.

Since
  New in
  Experimental in 1.12.5, available if –enable-experimental configuration option is given.

## Variable Documentation

## sip_suppress_body_if_match_class

msg_hclass_t sip_suppress_body_if_match_class[]

extern

Header class for Suppress-Body-If-Match header.

The header class sip_suppress_body_if_match_class defines how a SIP Suppress-Body-If-Match header is parsed and printed. It also contains methods used by SIP parser and other functions to manipulate the sip_suppress_body_if_match_t header structure.

Since
  New in
  Experimental in 1.12.5, available if –enable-experimental configuration option is given.

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.